Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Class PrettyJsonWriter

    java.lang.Object
      org.infinispan.schematic.internal.document.CompactJsonWriter
          org.infinispan.schematic.internal.document.PrettyJsonWriter

All Implemented Interfaces:
  JsonWriter

    public class PrettyJsonWriter

extends CompactJsonWriter

Nested Class Summary

Nested classes/interfaces inherited from class org.infinispan.schematic.internal.document.CompactJsonWriter
`CompactJsonWriter.StringBuilderWriter`

Constructor Summary
`PrettyJsonWriter()`

Method Summary
`protected void` | `indent(Writer writer)`
`protected void` | `write(Document bson, Writer writer)`
`protected void` | `write(Iterable<?> arrayValue, Writer writer)`
`protected void` | `writeArray(Object array, Writer writer)`

Methods inherited from class org.infinispan.schematic.internal.document.CompactJsonWriter
`write, write, write, write, write, write, write, write, write, write, write, write, write, write, write, write, write, write, write, write, write, write, writeNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrettyJsonWriter

    public PrettyJsonWriter()

Method Detail

### write

    protected void write(Document bson,
                         Writer writer)
                  throws IOException

  Overrides:
    `write` in class `CompactJsonWriter`
  Throws:
    `IOException`

### write

    protected void write(Iterable<?> arrayValue,
                         Writer writer)
                  throws IOException

  Overrides:
    `write` in class `CompactJsonWriter`
  Throws:
    `IOException`

### writeArray

    protected void writeArray(Object array,
                              Writer writer)
                       throws IOException

  Overrides:
    `writeArray` in class `CompactJsonWriter`
  Throws:
    `IOException`

### indent

    protected void indent(Writer writer)
                   throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.